Summary:	Sound files for the Asterisk PBX and telephony application and toolkit
Name:		asterisk-sounds
Version:	1.0.7
Release:	%mkrel 2
License:	BSD
Group:		System/Servers
URL:		http://www.asterisk.org/
Source:		ftp://ftp.asterisk.org/pub/asterisk/asterisk-sounds-%{version}.tar.bz2
Requires:	asterisk
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Asterisk is an Open Source PBX and telephony development platform
that can both replace a conventional PBX and act as a platform for
developing custom telephony applications for delivering dynamic
content over a telephone similarly to how one can deliver dynamic
content through a web browser using CGI and a web server.
 
Asterisk talks to a variety of telephony hardware including BRI,
PRI, POTS, and IP telephony clients using the Inter-Asterisk
eXchange protocol (e.g. gnophone or miniphone).

This package contains freely usable recorded sounds that were
meant to be used with Asterisk.


%prep

%setup -n asterisk-sounds-%{version}

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall INSTALL_PREFIX="%{buildroot}"

# this file is provided by asterisk
rm -f %{buildroot}%{_localstatedir}/asterisk/sounds/invalid.gsm

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root, root)
%doc README.txt sounds-extra.txt
%{_localstatedir}/asterisk/sounds/letters/*.gsm
%{_localstatedir}/asterisk/sounds/phonetic/*.gsm
%{_localstatedir}/asterisk/sounds/silence/*.gsm
%{_localstatedir}/asterisk/sounds/wx/*.gsm
%{_localstatedir}/asterisk/sounds/ha/*.gsm
%{_localstatedir}/asterisk/sounds/*.gsm

%changelog
* Sat Apr 23 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdk
- argh! one file conflicted, fixed

* Sat Apr 23 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdk
- initial mandriva package
